Package weka.gui

# Class GenericObjectEditor.GOETreeNode

java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
weka.gui.GenericObjectEditor.GOETreeNode

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MutableTreeNode`, `TreeNode`

Enclosing class:
  `GenericObjectEditor`

public class GenericObjectEditor.GOETreeNode extends DefaultMutableTreeNode
A specialized TreeNode for supporting filtering via Capabilities.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAYBE_SUPPORT`
color for "maybe support".
`static final String`
`NO_SUPPORT`
color for "no support".

### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

`EMPTY_ENUMERATION`

## Constructor Summary

Constructors
Constructor
Description
`GOETreeNode()`
Creates a tree node that has no parent and no children, but which allows children.
`GOETreeNode(Object userObject)`
Creates a tree node with no parent, no children, but which allows children, and initializes it with the specified user object.
`GOETreeNode(Object userObject, boolean allowsChildren)`
Creates a tree node with no parent, no children, initialized with the specified user object, and that allows children only if specified.

## Method Summary

Modifier and Type
Method
Description
`String`
`getToolTipText()`
Get the tool tip for this node
`void`
`setToolTipText(String tip)`
Set the tool tip for this node
`String`
`toString()`
returns a string representation of this treenode.

### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_SUPPORT

public static final String NO_SUPPORT
color for "no support".

See Also:
  - Constant Field Values

### MAYBE_SUPPORT

public static final String MAYBE_SUPPORT
color for "maybe support".

See Also:
  - Constant Field Values

## Constructor Details

### GOETreeNode

public GOETreeNode()
Creates a tree node that has no parent and no children, but which allows children.

### GOETreeNode

public GOETreeNode(Object userObject)
Creates a tree node with no parent, no children, but which allows children, and initializes it with the specified user object.

Parameters:
  `userObject` - an Object provided by the user that constitutes the node's data

### GOETreeNode

public GOETreeNode(Object userObject, boolean allowsChildren)
Creates a tree node with no parent, no children, initialized with the specified user object, and that allows children only if specified.

Parameters:
  `userObject` - an Object provided by the user that constitutes the node's data
  `allowsChildren` - if true, the node is allowed to have child nodes -- otherwise, it is always a leaf node

## Method Details

### setToolTipText

public void setToolTipText(String tip)
Set the tool tip for this node

Parameters:
  `tip` - the tool tip for this node

### getToolTipText

public String getToolTipText()
Get the tool tip for this node

Returns:
  the tool tip for this node

### toString

public String toString()
returns a string representation of this treenode.

Overrides:
  `toString` in class `DefaultMutableTreeNode`
Returns:
  the text to display